using System;

namespace AtlasGenerator
{
    public class Program
    {
        static int Main(string[] _aArgs)
        {
            try
            {
                var args = SanitizeCommandlineInputs.SanitizeInput(_aArgs);
                var generator = new AtlasGeneratorLib.AtlasGenerator();
                generator.CreateAtlases(args.m_sRootPath, args.m_sTargetPath, args.m_iAtlasSize, args.m_iMargin, args.m_iAlignment);
            }
            catch (Exception e)
            {
                Console.Error.WriteLine(e.ToString());
                return 1;
            }

            return 0;
        }
    }
}

